This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 08:41
Elapsed6m50s
Revision
Builder5dd49354-732b-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/7b3ce6f9-b023-428b-afb5-a05c9380c4d9/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/7b3ce6f9-b023-428b-afb5-a05c9380c4d9/targets/test
infra-commitccdcc25ea

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 08:41:55.024] process 29 exited with code 0 after 0.0m
I0331 08:41:55.024] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 08:41:55.025] Root: /workspace
I0331 08:41:55.025] cd to /workspace
I0331 08:41:55.025] Configure environment...
I0331 08:41:55.025] Call:  git show -s --format=format:%ct HEAD
W0331 08:41:55.029] fatal: not a git repository (or any of the parent directories): .git
I0331 08:41:55.030] process 42 exited with code 128 after 0.0m
W0331 08:41:55.030] Unable to print commit date for HEAD
I0331 08:41:55.030] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 08:41:55.548] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 08:41:56.250] process 43 exited with code 0 after 0.0m
I0331 08:41:56.251] Call:  gcloud config get-value account
... skipping 35 lines ...
W0331 08:48:34.887]     self.send(msg)
W0331 08:48:34.887]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 08:48:34.887]     self.connect()
W0331 08:48:34.888]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 08:48:34.888]     conn = self._new_conn()
W0331 08:48:34.888]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 08:48:34.888]     self, "Failed to establish a new connection: %s" % e
W0331 08:48:34.888] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f8af59942e8>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 08:48:34.888] 
W0331 08:48:34.888] During handling of the above exception, another exception occurred:
W0331 08:48:34.889] 
W0331 08:48:34.889] Traceback (most recent call last):
W0331 08:48:34.889]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 08:48:34.889]     timeout=timeout
W0331 08:48:34.889]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 08:48:34.889]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 08:48:34.889]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 08:48:34.890]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 08:48:34.890] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f8af59942e8>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 08:48:34.890] 
W0331 08:48:34.890] During handling of the above exception, another exception occurred:
W0331 08:48:34.890] 
W0331 08:48:34.891] Traceback (most recent call last):
W0331 08:48:34.891]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 08:48:34.891]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 08:48:34.893]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 08:48:34.893]     resp = self.send(prep, **send_kwargs)
W0331 08:48:34.893]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 08:48:34.893]     r = adapter.send(request, **kwargs)
W0331 08:48:34.893]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 08:48:34.893]     raise ConnectionError(e, request=request)
W0331 08:48:34.894] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f8af59942e8>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 08:48:34.894] Traceback (most recent call last):
W0331 08:48:34.894]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 08:48:34.894]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 08:48:34.894]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 08:48:34.894]     check(*cmd)
W0331 08:48:34.895]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 08:48:34.895]     subprocess.check_call(cmd)
W0331 08:48:34.895]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 08:48:34.895]     raise CalledProcessError(retcode, cmd)
W0331 08:48:34.895] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 08:48:34.895] Command failed
I0331 08:48:34.895] process 251 exited with code 1 after 6.6m
E0331 08:48:34.896] FAIL: metrics-kettle
I0331 08:48:34.896] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 08:48:35.400] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 08:48:36.032] process 255 exited with code 0 after 0.0m
I0331 08:48:36.032] Call:  gcloud config get-value account
I0331 08:48:36.923] process 267 exited with code 0 after 0.0m
I0331 08:48:36.923] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 08:48:36.923] Upload result and artifacts...
I0331 08:48:36.923] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1244907674374508544
W0331 08:48:36.924] Missing local artifacts : /workspace/_artifacts
W0331 08:48:36.924] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 08:48:36.924] metadata not found or invalid, init with empty metadata
I0331 08:48:36.924] Call:  git rev-parse HEAD
W0331 08:48:36.931] fatal: not a git repository (or any of the parent directories): .git
E0331 08:48:36.931] Command failed
I0331 08:48:36.931] process 280 exited with code 128 after 0.0m
I0331 08:48:36.932] Call:  git rev-parse HEAD
I0331 08:48:36.937] process 281 exited with code 0 after 0.0m
I0331 08:48:36.938] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 08:48:38.450] process 282 exited with code 0 after 0.0m
I0331 08:48:38.451] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585640861627278'
... skipping 8 lines ...